> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Response To Aggregation Time Series

> Send accept/reject response to an aggregation time series (BAS/ASZR). **Coming soon.**

Once available, this will submit an IFTSTA message to the TSO/BIKO accepting or rejecting the aggregation time series data for a given month and version.

<Note>**Coming soon.**</Note>


## OpenAPI

````yaml /openapi.json post /schedule-management/v1/mabis/send-response-to-aggregation-time-series
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /schedule-management/v1/mabis/send-response-to-aggregation-time-series:
    post:
      tags:
        - mabis
      summary: Send Response To Aggregation Time Series
      description: >-
        Send accept/reject response to an aggregation time series (BAS/ASZR).
        **Coming soon.**


        Once available, this will submit an IFTSTA message to the TSO/BIKO
        accepting or rejecting the aggregation time series data for a given
        month and version.
      operationId: >-
        send_response_to_aggregation_time_series_schedule_management_v1_mabis_send_response_to_aggregation_time_series_post
      parameters:
        - description: Month for the response (YYYY-MM)
          in: query
          name: month
          required: true
          schema:
            description: Month for the response (YYYY-MM)
            title: Month
            type: string
        - description: Version identifier
          in: query
          name: version_id
          required: true
          schema:
            description: Version identifier
            title: Version Id
            type: string
        - description: Accept (true) or reject (false)
          in: query
          name: answer
          required: true
          schema:
            description: Accept (true) or reject (false)
            title: Answer
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AggregationObjectRequest'
        required: true
      responses:
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '501':
          content:
            application/json:
              schema: {}
          description: Coming soon.
components:
  schemas:
    AggregationObjectRequest:
      additionalProperties: false
      description: Request model for aggregation object response.
      properties:
        aggregation_subtypes:
          description: OBIS codes
          items:
            type: string
          title: Aggregation Subtypes
          type: array
        aggregation_type:
          description: Aggregation type
          enum:
            - BAS
            - FPE
            - FPI
            - SLP
            - RLM
          title: Aggregation Type
          type: string
        date_from:
          description: Valid from date (YYYY-MM-DD)
          format: date
          title: Date From
          type: string
        date_to:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: Valid to date (YYYY-MM-DD)
          title: Date To
        dso:
          anyOf:
            - type: string
            - type: 'null'
          description: DSO identifier
          title: Dso
        id:
          description: Aggregation object identifier
          minLength: 1
          title: Id
          type: string
        receiver:
          anyOf:
            - type: integer
            - type: 'null'
          description: Receiver MP-ID as number
          title: Receiver
        tso:
          description: TSO control area identifier
          minLength: 1
          title: Tso
          type: string
      required:
        - aggregation_type
        - date_from
        - id
        - tso
      title: AggregationObjectRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````